### Hierarchy

- PromiseConstructor

## Index

### Constructors

- constructor

### Properties

- prototype

### Methods

- all
- race
- reject
- resolve

## Constructors

### constructor

- new PromiseConstructor<T>(executor: function): Promise<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:25

  Creates a new Promise.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### executor: function

    A callback used to initialize the promise. This callback is passed two arguments: a resolve callback used to resolve the promise with a value or the result of another promise, and a reject callback used to reject the promise with a provided reason or error.

    - - (resolve: function, reject: function): void

      - #### Parameters

        - ##### resolve: function

          - - (value?: T | PromiseLike<T>): void

            - #### Parameters

              - ##### Optional value: T | PromiseLike<T>

              #### Returns void

        - ##### reject: function

          - - (reason?: any): void

            - #### Parameters

              - ##### Optional reason: any

              #### Returns void

  #### Returns Promise<T>

## Properties

### prototype

prototype: Promise<any>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:25

A reference to the prototype.

## Methods

### all

- all<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>, T10 | PromiseLike<T10>]): Promise<[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10]>
- all<T1, T2, T3, T4, T5, T6, T7, T8, T9>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>]): Promise<[T1, T2, T3, T4, T5, T6, T7, T8, T9]>
- all<T1, T2, T3, T4, T5, T6, T7, T8>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>]): Promise<[T1, T2, T3, T4, T5, T6, T7, T8]>
- all<T1, T2, T3, T4, T5, T6, T7>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>]): Promise<[T1, T2, T3, T4, T5, T6, T7]>
- all<T1, T2, T3, T4, T5, T6>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>]): Promise<[T1, T2, T3, T4, T5, T6]>
- all<T1, T2, T3, T4, T5>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>]): Promise<[T1, T2, T3, T4, T5]>
- all<T1, T2, T3, T4>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>]): Promise<[T1, T2, T3, T4]>
- all<T1, T2, T3>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>]): Promise<[T1, T2, T3]>
- all<T1, T2>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>]): Promise<[T1, T2]>
- all<T>(values: (T | PromiseLike<T>)[]): Promise<T[]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:41

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  - #### T8

  - #### T9

  - #### T10

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>, T10 | PromiseLike<T10>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4, T5, T6, T7, T8, T9, T10]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:49

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  - #### T8

  - #### T9

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4, T5, T6, T7, T8, T9]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:57

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  - #### T8

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4, T5, T6, T7, T8]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:65

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4, T5, T6, T7]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:73

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4, T5, T6]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:81

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4, T5]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:89

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3, T4]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:97

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>]

    An array of Promises.

  #### Returns Promise<[T1, T2, T3]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:105

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>]

    An array of Promises.

  #### Returns Promise<[T1, T2]>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:113

  Creates a Promise that is resolved with an array of results when all of the provided Promises resolve, or rejected when any Promise is rejected.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### values: (T | PromiseLike<T>)[]

    An array of Promises.

  #### Returns Promise<T[]>

  A new Promise.

### race

- race<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>, T10 | PromiseLike<T10>]): Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8 | T9 | T10>
- race<T1, T2, T3, T4, T5, T6, T7, T8, T9>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>]): Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8 | T9>
- race<T1, T2, T3, T4, T5, T6, T7, T8>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>]): Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8>
- race<T1, T2, T3, T4, T5, T6, T7>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>]): Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7>
- race<T1, T2, T3, T4, T5, T6>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>]): Promise<T1 | T2 | T3 | T4 | T5 | T6>
- race<T1, T2, T3, T4, T5>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>]): Promise<T1 | T2 | T3 | T4 | T5>
- race<T1, T2, T3, T4>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>]): Promise<T1 | T2 | T3 | T4>
- race<T1, T2, T3>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>]): Promise<T1 | T2 | T3>
- race<T1, T2>(values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>]): Promise<T1 | T2>
- race<T>(values: (T | PromiseLike<T>)[]): Promise<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:121

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  - #### T8

  - #### T9

  - #### T10

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>, T10 | PromiseLike<T10>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8 | T9 | T10>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:129

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  - #### T8

  - #### T9

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>, T9 | PromiseLike<T9>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8 | T9>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:137

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  - #### T8

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>, T8 | PromiseLike<T8>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7 | T8>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:145

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  - #### T7

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>, T7 | PromiseLike<T7>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4 | T5 | T6 | T7>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:153

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### T6

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>, T6 | PromiseLike<T6>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4 | T5 | T6>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:161

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>, T5 | PromiseLike<T5>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4 | T5>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:169

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>, T4 | PromiseLike<T4>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3 | T4>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:177

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>, T3 | PromiseLike<T3>]

    An array of Promises.

  #### Returns Promise<T1 | T2 | T3>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:185

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T1

  - #### T2

  #### Parameters

  - ##### values: [T1 | PromiseLike<T1>, T2 | PromiseLike<T2>]

    An array of Promises.

  #### Returns Promise<T1 | T2>

  A new Promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:193

  Creates a Promise that is resolved or rejected when any of the provided Promises are resolved or rejected.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### values: (T | PromiseLike<T>)[]

    An array of Promises.

  #### Returns Promise<T>

  A new Promise.

### reject

- reject<T>(reason?: any): Promise<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:200

  Creates a new rejected promise for the provided reason.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### Optional reason: any

    The reason the promise was rejected.

  #### Returns Promise<T>

  A new rejected Promise.

### resolve

- resolve<T>(value: T | PromiseLike<T>): Promise<T>
- resolve(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:207

  Creates a new resolved promise for the provided value.

  #### Type parameters

  - #### T

  #### Parameters

  - ##### value: T | PromiseLike<T>

    A promise.

  #### Returns Promise<T>

  A promise whose internal state matches the provided promise.

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.promise.d.ts:213

  Creates a new resolved promise .

  #### Returns Promise<void>

  A resolved promise.

Generated using TypeDoc